Documentation Index Fetch the complete documentation index at: https://developers.leadwaycrm.com/llms.txt
Use this file to discover all available pages before exploring further.
Get Blocked Slots
GET https://services.leadconnectorhq.com/calendars/blocked-slots
Autorizacion
Bearer token generado desde el portal Leadway. Ver Autenticacion .
Version
string
default: "2021-07-28"
required
Version de la API.
Query parameters
locationId
string
default: "0007BWpSzSwfiuSl0tR2"
required
Account Id
userId
string
default: "CVokAlI8fgw4WYWoCtQz"
User Id - Owner of an appointment. Either of userId, groupId or calendarId is required
calendarId
string
default: "BqTwX8QFwXzpegMve9EQ"
Either of calendarId, userId or groupId is required
groupId
string
default: "ocQHyuzHvysMo5N5VsXc"
Either of groupId, calendarId or userId is required
startTime
string
default: "1680373800000"
required
Start Time (in millis)
endTime
string
default: "1680978599999"
required
End Time (in millis)
Respuestas
200 - Successful response
Event Id or Instance id for a recurring event
address
string
default: "https://meet.google.com/yqp-gogr-wve"
Calendar Event address
title
string
default: "Appointment with GHL Dev team"
required
Calendar Event title
calendarId
string
default: "BqTwX8QFwXzpegMve9EQ"
required
Calendar ID
locationId
string
default: "0007BWpSzSwfiuSl0tR2"
required
Account ID
contactId
string
default: "9NkT25Vor1v4aQatFsv2"
required
Contact ID
groupId
string
default: "9NkT25Vor1v4aQatFsv2"
required
Group ID
appointmentStatus
string
default: "confirmed"
required
Appointment Status
assignedUserId
string
default: "YlWd2wuCAZQzh2cH1fVZ"
required
AssignedUser - the primary owner of an appointment
Users - the secondary owners of an appointment.
notes
string
default: "Some dummy note"
Notes
description
string
default: "Some dummy description"
Description
true if the event is recurring otherwise false
RRULE as per the iCalendar (RFC 5545) specification for recurring events. DTSTART is not required, instance ids are calculated on the basis of startTime of the event.
startTime
object
default: "2023-09-25T16:00:00+05:30"
required
Start Time
endTime
object
default: "2023-09-25T16:00:00+05:30"
required
End Time
dateAdded
object
default: "2023-09-25T16:00:00+05:30"
required
Date Added
dateUpdated
object
default: "2023-09-25T16:00:00+05:30"
required
Date Updated
Ids of associated resources rooms and/or equipments
Appointment booked by metadata
masterEventId
string
default: "ocWd2wuBGAQzh2cH1fSZ"
Master event id for a recurring instance
{
"events" : [
{
"id" : "string" ,
"address" : "https://meet.google.com/yqp-gogr-wve" ,
"title" : "Appointment with GHL Dev team" ,
"calendarId" : "BqTwX8QFwXzpegMve9EQ" ,
"locationId" : "0007BWpSzSwfiuSl0tR2" ,
"contactId" : "9NkT25Vor1v4aQatFsv2" ,
"groupId" : "9NkT25Vor1v4aQatFsv2" ,
"appointmentStatus" : "confirmed" ,
"assignedUserId" : "YlWd2wuCAZQzh2cH1fVZ" ,
"users" : [
"YlWd2wuCAZQzh2cH1fVZ" ,
"9NkT25Vor1v4aQatFsv2"
],
"notes" : "Some dummy note" ,
"description" : "Some dummy description" ,
"isRecurring" : "true" ,
"rrule" : "string" ,
"startTime" : "2023-09-25T16:00:00+05:30" ,
"endTime" : "2023-09-25T16:00:00+05:30" ,
"dateAdded" : "2023-09-25T16:00:00+05:30" ,
"dateUpdated" : "2023-09-25T16:00:00+05:30" ,
"assignedResources" : [
"string"
],
"masterEventId" : "ocWd2wuBGAQzh2cH1fSZ"
}
]
}
Ejemplo
curl -X GET 'https://services.leadconnectorhq.com/calendars/blocked-slots' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'